Skip to main content

Balance history

Request

curl -X POST https://api.bitsby.app/billing/history \
-H "Authorization: Token MSvL2ltaDZdWVjmZURURMVWhqSJLT2NURjhL2Fla1Z1T1IxQTltKs1T3Ay" \
-F "offset=0" \
-F "limit=10"

Request parameters

ParameterData typeDescriptionExampleRequired?Default
offsetIntegerIndex of the first record to return0no0
limitIntegerNumber of records you want to receive50no10

Response example

{
"result": "success",
"data": [
{
"datetime": "2024-11-30 18:02:41",
"event": "other",
"projectId": null,
"target": "internal",
"amount": 5,
"comment": "welcome bonus 5"
},
{
"datetime": "2025-08-15 02:00:01",
"event": "commission",
"projectId": "9deea1e2-0c08-41a3-bdc2-a34eada3892d",
"target": "internal",
"amount": -0.15,
"comment": "Commission 14.08.2025 (Sample project)"
}
]
}

Response parameters

ParameterDescription
datetimeEvent date and time
eventEvent type. Allowed values: deposit, withdrawal, transfer, commission, aml, other
projectIdID of the project the operation belongs to. For account-level operations—top-ups and bonuses—it is null
targetThe balance that was changed. Allowed values: internal, partner
amountThe amount the balance was changed by
commentEvent comment